Package Details: roger-router 2.2.1-1

Git Clone URL: https://aur.archlinux.org/roger-router.git (read-only, click to copy)
Package Base: roger-router
Description: Journal, Fax-Software and Call-Monitor for AVM FRITZ!Box or compatible
Upstream URL: https://www.tabos.org/
Keywords: fax fritzbox router
Licenses: GPL2
Conflicts: roger, rogerrouter
Provides: roger=2.2.1, rogerrouter=2.2.1
Submitter: phw
Maintainer: sgar
Last Packager: sgar
Votes: 18
Popularity: 1.06
First Submitted: 2013-10-21 08:49
Last Updated: 2020-10-27 19:15

Pinned Comments

phw commented on 2019-05-28 08:33

I have finally updated the package to 2.1.0. It was a bit of a PITA, since it requires older versions of gssdp and gupnp, but those are in the AUR now, too.

Fax printer setup is greatly simplified in Roger Router 2, you just need to run:

lpadmin -p Roger-Router-Fax -m drv:///sample.drv/generic.ppd -v socket://localhost:9100/ -E -o PageSize=A4

No need to fiddle with groups or spooling device anymore.

Apart from that I am actually looking for someone who is willing to co-maintain this package with me. The last months made it clear that I lack the time to do bigger updates, and the changes with Roger Router 2 are quite significant. Also upstream, understandible, is focusing on the Flatpak distribution, hence build requirements and build procedure are no longer as clearly documented. For now I think this PKGBUILD is fine, but there could be some tuning in regards to what dependencies are really needed on runtime.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

JakeRT commented on 2015-01-02 22:03

While installing the package I got the following error:
journal.c:1420:2: Fehler: »gtk_tree_view_set_rules_hint« is deprecated (declared at /usr/include/gtk-3.0/gtk/gtktreeview.h:246) [-Werror=deprecated-declarations]
gtk_tree_view_set_rules_hint(GTK_TREE_VIEW(journal_view), TRUE);

Then I tried to downloaded it directly from http://de.tabos.org/downloads.
The make command ended with permission error.

sarch commented on 2014-12-30 12:23

Please update: 1.8.10

phw commented on 2014-10-05 07:53

Updated, thanks for the notification.

scujas commented on 2014-10-04 14:33

please update to version 1.8.9.
Thanks

phw commented on 2014-05-12 07:13

I have updated the package, but for me the Fax printer is not working anymore since 1.8.4 or so. No idea why, the configuration in the package looks good to me. See http://de.tabos.org/forum/posting.php?mode=reply&f=6&t=3708.

Does it work for anybody else? Or does anybody have an idea what's wrong?

phw commented on 2014-04-11 16:08

@bjo: Well, yeah, evolution is of course needed during build for the evolution plugin. That's what makedep is for ;) But during runtime it is optional, so either uninstall it after build or edit the PKGBUILD (remove evolution from makedep and add --with-ebook=no to the configure call).

bjo commented on 2014-04-11 14:54

Why is evolution a makedep? I think it's only needed if you want to you the evolution-plugin.

phw commented on 2013-11-06 07:51

AFAIK KDE has ksecretservice, but I don't know where this is included, how it can be activated or if it is available in Arch at all. It's probably not even an official part of KDE yet, but it is supposed to replace kwallet. More info is available at http://techbase.kde.org/Projects/Utils/ksecretsservice

Otherwise I don't know a good solution to this issue other than installing gnome-keyring.

OldShatterhand commented on 2013-11-05 19:00

Thanks for your help.
Regarding libsecret: With gnome-keyring installed it seems to work (as far as I could test it). What other backends are there for something like this? (I'm on KDE).

Regarding the spool thing.... yes I have it running as a tmpfs and just didn't remember it.

phw commented on 2013-11-05 17:42

If everything fails for you regarding libsecret you could edit the PKGBUILD and add --with-secret=no to the configure line.